#ifndef _COMMON_H_
#define _COMMON_H_

#define GPIO_BUTTON 14
#define GPIO_LED D6
#define GPIO_TRIGGER 2
#define GPIO_PUMP 0

#ifndef HOST_NAME
#define HOST_NAME "ChainLube_%06X"      // Use printf-Formatting - Chip-ID (uin32_t) will be added
#endif

#ifndef OTA_DELAY
#define OTA_DELAY 50  // ticks -> 10ms / tick
#endif

#ifndef ADMIN_PASS
#error "You need to define ADMIN_PASS for OTA-Update"
#endif
#ifndef WIFI_PASSWORD
#error "You must define an WIFI_PASSWORD for OTA-Update"
#endif
#ifndef WIFI_SSID 
#error "You must define an WIFI_SSID for OTA-Update"
#endif

#endif